version: "2"

formatters:
  enable:
    - goimports
  settings:
    goimports:
      local-prefixes:
        - github.com/Warky-Devs/vecna.git

linters:
  default: standard
  enable:
    - misspell
    - gocritic
    - noctx
    - bodyclose
    - errorlint
    - copyloopvar
    - durationcheck

linters-settings:
  gocritic:
    disabled-checks:
      - commentedOutCode
      - hugeParam

issues:
  max-issues-per-linter: 0
  max-same-issues: 0
